#!/bin/sh

CONFIG="/var/packages/$SYNOPKG_PKGNAME"
THEME=`cat $CONFIG/etc/theme`

WIZARD=$(cat << 'EOF'
[{
    "step_title": "主题配置",
    "invalid_next_disabled": "False",
    "items": [{
        "type": "combobox",
        "desc": "要应用的主题名称",
        "subitems": [{
            "key": "wizard_theme",
            "defaultValue": "#THEME",
            "desc": "主题",
            "editable": false,
            "mode": "local",
            "valueField": "theme",
            "displayField": "theme",
            "store": {
              "data": [
                ["material"],
                ["classic"]
              ],
              "fields": ["theme"],
              "xtype": "arraystore"
            }
        }]
    }]
}]
EOF
)

WIZARD="${WIZARD/\#THEME/$THEME}"
#echo $WIZARD > /var/log/spks.log

echo $WIZARD > $SYNOPKG_TEMP_LOGFILE
exit 0